from pydantic import BaseModel


class CreateOrderRequest(BaseModel):
    payment_token: str


class CreateOrderResponse(BaseModel):
    pay_url: str
    out_trade_no: str
    amount: float


class OrderStatusResponse(BaseModel):
    status: str
